Skip to main content
POST
Create organizational unit client project

Authorizations

X-API-Key
string
header
required

Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.

Path Parameters

clientId
string
required
id
string
required

Body

application/json

Create project payload.

name
string
required
Maximum string length: 255
Pattern: \S
description
string
Maximum string length: 2000
startDate
string<date-time>

Optional project start timestamp.

Example:

"2022-03-10T16:15:50Z"

endDate
string<date-time>

Optional project end timestamp.

Example:

"2022-03-10T16:15:50Z"

currencyUnitId
string

Optional currency unit id for project billing context.

internalContactId
string

Optional internal contact person id for the project.

contactIds
string[]
Maximum array length: 100

Response

Project created

id
string
clientId
string
clientName
string
name
string
description
string
startDate
string<date-time>
Example:

"2022-03-10T16:15:50Z"

endDate
string<date-time>
Example:

"2022-03-10T16:15:50Z"

currencyUnitId
string
internalContactId
string
internalContactName
string